%global pypi_name aspy.yaml

Name:           python-%{pypi_name}
Version:        1.3.0
Release:        2%{?dist}
Summary:        Few extensions to pyyaml

License:        MIT
URL:            https://github.com/asottile/aspy.yaml
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

# For tests
BuildRequires:  python3dist(pyyaml)

%?python_enable_dependency_generator

%description
A few extensions to pyyaml.


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files
%license LICENSE
%doc README.md
%{python3_sitelib}/aspy
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Thu Oct 24 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 1.3.0-2
- Initial package
